Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.rules.advislets
Class ResultsToRulesInputTransform

    java.lang.Object
      |
      +--com.bea.p13n.advisor.AbstractAdviceTransform
            |
            +--com.bea.p13n.rules.advislets.ResultsToRulesInputTransform

public class ResultsToRulesInputTransform
extends AbstractAdviceTransform

An AdviceTransform that converts the results in one `Advice` instance into rule inputs in the `AdviceRequest`.

Field Summary
`static java.lang.String` | `REQUEST_SPECIFIC_KEY` A string key for identifying a request-specific key.
`static java.lang.String` | `REQUEST_SPECIFIC_VALUE` A string key for identifying a request-specific value.

Constructor Summary
`ResultsToRulesInputTransform(Advisor advisor, Metadata metadata)` Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

Method Summary
`boolean` | `initialize(java.util.Map parameters, java.lang.Object parameterDocument)` Initialize this AdviceTransform from its configuration environment in the AdvisletRegistry XML file.
`void` | `transform(Advice input, AdviceRequest output)` Maps objects in the Advice objects into objects in a subsequent AdviceRequest.

Methods inherited from class com.bea.p13n.advisor.AbstractAdviceTransform
`getMetadata, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REQUEST_SPECIFIC_KEY

    public static final java.lang.String REQUEST_SPECIFIC_KEY

  A string key for identifying a request-specific key.

### REQUEST_SPECIFIC_VALUE

    public static final java.lang.String REQUEST_SPECIFIC_VALUE

  A string key for identifying a request-specific value.

Constructor Detail

### ResultsToRulesInputTransform

    public ResultsToRulesInputTransform(Advisor advisor,
                                        Metadata metadata)

  Construct an instance of this object and bind it to its `Advisor` and `Metadata` instances.

  Parameters:
    `advisor` - the `Advisor` for this transform.
    `metadata` - the `Metadata` for this transform.

Method Detail

### initialize

    public boolean initialize(java.util.Map parameters,
                              java.lang.Object parameterDocument)
                       throws AdvisorException

  Initialize this AdviceTransform from its configuration environment in the AdvisletRegistry XML file.

  Parameters:
    `parameters` - the `Map` containing the initialization parameters.
    `parameterDocument` - the XML Document `Object` containing the configuration environment for this AdviceTransform instance.
  Overrides:
    initialize in class AbstractAdviceTransform

### transform

    public void transform(Advice input,
                          AdviceRequest output)
                   throws AdvisorException

  Maps objects in the Advice objects into objects in a subsequent AdviceRequest.

  If the Advice.getResult() call returns a List, each item in the List is appended to a List in the AdviceRequest keyed to the value RULES_INPUT_OBJECTS.

  In addition a single value from the configuration environment is added to to the AdviceRequest, using the key of "request-specific-key" (loaded from the XML configuration) and the value "request-specific-value"" (loaded from the XML configuration).

  Parameters:
    `input` - the `Advice` that was previously executed.
    `output` - the `AdviceRequest` to be populated.
  Overrides:
    transform in class AbstractAdviceTransform

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved